Results 1 to 3 of 3

Thread: Install from a particular repository

  1. #1
    Join Date
    Jan 2010
    Beans
    23

    Install from a particular repository

    Hi, I need a particular version of an app. The app appears to be included in one of the standard repositories but it is an old version. I have added the repository that includes the bleeding edge version and I want to install the app from this repository. Is there a way to select which repository will be used?

    This is what I do:

    sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
    sudo apt-get update
    sudo apt-get install grass

    To force it to use this repository, I tried temporarily unchecking the other software sources in the Ubunto software center but then the app failed to install as it seemed to need some dependencies or something from one of these sources.
    Last edited by RevRhubar; March 25th, 2012 at 01:40 PM. Reason: missed out "ppa:"

  2. #2
    Join Date
    Feb 2008
    Location
    Texas
    Beans
    14,892
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Install from a particular repository

    Hi, if you ran those three commands one at a time it should be that simple but you will need to have your software sources checked.
    Thanks

  3. #3
    Join Date
    Oct 2008
    Location
    Down Under
    Beans
    1,566
    Distro
    Xubuntu 12.10 Quantal Quetzal

    Re: Install from a particular repository

    You have to have it checked in 'Software Sources' otherwise you can't use it.

    Rodney

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •